function main(self)
	if self.State == 0 then
		LavaGeyser(self)
		local detector = GetObject(3206)
		local difficulty = detector.Difficulty
		self.Damage = difficulty == 2 and 20 or difficulty == 1 and 5 or 10
	else
		LavaGeyser(self)
	end
end